import org.junit.Assert;
import org.junit.jupiter.api.Test;
import org.openqa.selenium.By;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.WebElement;
import org.openqa.selenium.chrome.ChromeDriver;
import org.openqa.selenium.support.ui.ExpectedConditions;

public class SafewayLogin {
    @Test
    public void testSafewaySignIn() throws InterruptedException {
        String expectedErrorMessageEmail = "Please enter your email address.";
        String expectedErrorMessagePassword = "Please enter a password.";
        WebDriver driver = new ChromeDriver();
        driver.get("https://www.safeway.com/");
        Thread.sleep(3000);
        driver.findElement(By.className("menu-nav__profile-button")).click();
        Thread.sleep(3000);
        driver.findElement(By.id("sign-in-modal-link")).click();
        Thread.sleep(3000);
        driver.findElement(By.id("btnSignIn")).click();
        Thread.sleep(3000);
        String emailErrorMessage = driver.findElement(By.id("errorMsgEmail")).getText();
        String pwdErrorMessage = driver.findElement(By.id("errorMsgPwd")).getText();
        Assert.assertEquals(expectedErrorMessageEmail, emailErrorMessage);
        Assert.assertEquals(expectedErrorMessagePassword, pwdErrorMessage);
        driver.close();
    }
}
